%define name cint
%define version 5.15
%define release 3mdk

Name: %name
Version: %version
Release: %release
Summary: C/C++ Interpreter
Source: ftp://root.cern.ch/root/cint5.15.tar.bz2
License: MIT-like
Group: Development/C
URL: http://root.cern.ch/root/Cint.html
BuildRoot: %{_tmppath}/%{name}

%description
CINT is a C/C++ interpreter which is aimed at processing C/C++ scripts. Scripts
are programs which perform specific tasks. Generally execution time is not
critical, but rapid development is. Using an interpreter the compile and link
cycle is dramatically reduced facilitating rapid development. CINT makes C/C++
programming enjoyable even for part-time programmers.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -c

%build

# lenny: use the setup way from sources.
sh setup platform/linux_RH7.0

%install

# lenny: use the INSTALLBIN way from sources.
chmod 755 INSTALLBIN
./INSTALLBIN --bindir=$RPM_BUILD_ROOT/%_bindir --libdir==$RPM_BUILD_ROOT/%_libdir \
	--mandir=$RPM_BUILD_ROOT/%_mandir --docdir=$RPM_BUILD_ROOT/%_docdir

# rename cint => cint.bin
mv $RPM_BUILD_ROOT/%_bindir/cint $RPM_BUILD_ROOT/%_bindir/cint.bin

# install MAKEINFO file ( generated by 'setup' from linux_RH7.0 in platfrom dir )
mkdir -p $RPM_BUILD_ROOT/%_datadir/cintsysdir/
install -m 644 MAKEINFO $RPM_BUILD_ROOT/%_datadir/cintsysdir/

# (lenny): wrapper to launch cint.bin with CINTSYSDIR exported
cat > $RPM_BUILD_ROOT/%{_bindir}/cint <<EOF
#!/bin/sh
export CINTSYSDIR="/usr/share/cintsysdir"
/usr/bin/cint.bin
EOF
chmod 755 $RPM_BUILD_ROOT/%{_bindir}/cint

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.txt doc/*.txt
%_bindir/*
%_mandir/*/*
%_datadir/cintsysdir/

%changelog
* Thu Apr 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 5.15-3mdk
- binary renamed cint.bin & wrapper renamed cint

* Wed Apr 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 5.15-2mdk
- updated to 5.15
- install MAKEINFO in %__datadir/cintsysdir/
- ccint wrapper to export CINTSYSDIR variable

* Thu May 10 2001 Pixel <pixel@mandrakesoft.com> 5.14.86-1mdk
- initial spec

